- HTTP request
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists associations of a specified target, i.e., organization or folder.
HTTP request
GET https://compute.s3nsapis.fr/compute/v1/locations/global/firewallPolicies/listAssociations The URLs use gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
targetResource |
The target resource to list associations. It is an organization, or a folder. |
includeInheritedPolicies |
If set to "true", the response will contain a list of all associations for the containing folders and the containing organization of the target. The parameter has no effect if the target is an organization. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"kind": string,
"associations": [
{
object ( |
| Fields | |
|---|---|
kind |
Output only. Type of firewallPolicy associations. Always
for lists of firewallPolicy associations. |
associations[] |
A list of associations. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.organizations.listAssociationscompute.organizations.setFirewallPolicy
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.